%global debug_package %{nil}

Name:           i3status-rust
Version:        0.13.0
Release:        2%{?dist}
Summary:        Feature-rich and resource-friendly replacement for i3status, written in Rust

License:        GPLv3+
URL:            https://github.com/greshake/i3status-rust
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Initial patched metadata
#Patch0:         i3status-rs-fix-metadata.diff

BuildRequires:  cargo
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  rust
BuildRequires:  pkgconfig(dbus-1)
%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     fontawesome-fonts
Enhances:       i3%{?_isa}
Enhances:       sway%{?_isa}
%endif

%description
i3status-rs is a feature-rich and resource-friendly replacement for i3status,
written in pure Rust. It provides a way to display "blocks" of system
information (time, battery status, volume, etc) on the i3 bar. It is also
compatible with sway.


%prep
%autosetup -p1


%build
cargo install --root=%{buildroot}%{_prefix} --path=.


%install
install -m 0755 -Dp target/release/i3status-rs %{buildroot}%{_bindir}/i3status-rs


%files
%license LICENSE
%doc README.md NEWS.md CONTRIBUTING.md blocks.md example_config.toml example_icon.toml example_theme.toml themes.md
%{_bindir}/i3status-rs


%changelog
* Mon Feb 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-2
- Add config examples
- Use Enhances instead of Suggests

* Mon Feb 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- Update to 0.13.0

* Mon Dec 09 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Tue Nov 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-3
- Initial package
